(setq version-control nil)
(define-key global-map [f10] 'save-buffer)
(define-key global-map [S-f10] 'write-file)
(define-key global-map [f9] 'switch-to-buffer)
(define-key global-map [S-f9] 'list-buffers)
(define-key global-map [f8] 'find-file)
(define-key global-map [S-f8] 'insert-file)
(define-key global-map [f5] 'eval-current-buffer)
(define-key global-map [S-f5] 'see-chars)
(define-key global-map [f1] 'delete-other-windows)
(define-key global-map [S-f1] 'amiga-my-resize)
(define-key global-map [S-f2] 'amiga-my-screen)
(define-key global-map [f6] 'other-window)
(define-key global-map [S-f5] 'goto-line)
(define-key global-map [f2] 'split-window-vertically)
(define-key global-map [f3] 'load-my-customer-database)
(define-key global-map [S-left] 'backward-word)
(define-key global-map [S-right] 'forward-word)
(define-key global-map [f3] 'auto-fill-mode)

;;; This function should resize to full screen.
(defun amiga-my-resize ()
  "Resize emacs window to full screen"
  (interactive)
  (let ((scr-size (amiga-get-screen-geometry))
		x y xs ys)
	(setq x (nth 1 scr-size))
	(setq y (nth 2 scr-size))
	(setq xs (nth 3 scr-size))
	(setq ys (nth 4 scr-size))
	(amiga-set-geometry x (1+ y) xs (1- ys))))
;;; Put emacs on screen "Emacs"
(defun amiga-my-screen ()
  "Put emacs on screen Emacs"
  (interactive)
  (amiga-set-geometry 0 0 600 200 "Emacs")
  (amiga-my-resize))

;;; If you're going to use emacs mail things, you'll need some of these.
;;; Otherwise, they're harmless

;; Mailer settings
;(setq mail-interactive t)
(setq sendmail-program "uucp:c/sendmail")
(setq mail-archive-filename "uumail:mbox")
;(setq mail-default-reply-to "dgilbert%gamiga@dweomer.org")
(setq vm-movemail-program "gnuemacs:etc/movemail")
(autoload 'db-find-file "database" "EDB database package" t)
(setq default-tab-width 4)
;; SuperCite stuff.
(setq sc-citation-leader "")
(setq mail-yank-hooks 'sc-cite-original)
(setq mh-yank-hooks 'sc-cite-original)
(setq mail-setup-hook 'my-sc-overload-hook-funk)
(setq news-reply-mode-hook 'my-sc-overload-hook-funk)
(setq mh-letter-mode-hook 'my-sc-overload-hook-funk)
(defun my-sc-overload-hook-funk ()
  (require 'sc-oloads)
  (sc-overload-functions))

;;Gnus stuff
;; These variables are for gnus.
(setq nnspool-spool-directory "uunews:")
(setq nnspool-active-file "uulib:news/active")
(setq nnspool-history-file "uulib:news/history")
(setq nnspool-inews-program "uucp:c/inews")
(setq mhspool-list-directory-switches "-R1")
(setq news-inews-program "uucp:c/inews")
(setq news-path "uunews:")
(setq fill-prefix ">")
(setq gnus-nntp-service nil)
(setq gnus-nntp-server "jaywon.pci.on.ca")
(autoload 'gnus "gnus-speedups" "Gnus news reader" t)
(autoload 'gnus-post-news "gnuspost" "Post network news" t)

(setq gnus-startup-file (expand-file-name "~/.newsrc"))
(setq vm-spool-files (list (concat "uumail:" (user-login-name))))


;; Set this to your system name, if you want.  I think it's used by
;; news and mail.

(defun system-name () (interactive) "jaywon.pci.on.ca")

(setq shell-file-name "sh")
